Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 127779 - mplayer or xine with xv and fullscreen -> corruption
Summary: mplayer or xine with xv and fullscreen -> corruption
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-27 12:22 UTC by Jan Essert
Modified: 2006-06-23 06:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Essert 2006-03-27 12:22:50 UTC
Hello,

playing an AVI-Video (haven't tested MPG) with mplayer -vo xv or xine with standard settings (is also xv, I assume) in fullscreen-mode results in distorted images - pixels are doubled, you can still see the original image, but it is corrupted somehow. Using the newest ~x86 xorg-x11 (modular) mplayer and xine, binary closed-source nvidia-drivers.

emerge info:
Portage 2.1_pre7-r2 (default-linux/x86/2005.1, gcc-3.4.6, glibc-2.4-r1, 2.6.16-gentoo i686)
=================================================================
System uname: 2.6.16-gentoo i686 AMD Athlon(tm) processor
Gentoo Base System version 1.12.0_pre16
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
dev-lang/python:     2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-tbird -O2 -pipe -fomit-frame-pointer -m3dnow -mmmx"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/2/share/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/share/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/init.d /etc/initng /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=athlon-tbird -O2 -pipe -fomit-frame-pointer -m3dnow -mmmx -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache confcache distlocks metadata-transfer parallel-fetch sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ ftp://mirror.nutsmaas.nl/gentoo/ http://mirror.isp.net.au/pub/gentoo/ http://ftp.easynet.nl/mirror/gentoo/"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://mirrors.sec.informatik.tu-darmstadt.de/gentoo-x86-portage/"
USE="x86 3dnow 3dnowext X alsa apm avi berkdb bitmap-fonts bzip2 crypt cups dri dvd dvdr eds emboss encode flac foomaticdb fortran gdbm gif gstreamer gtk2 java jpeg kde kdeenablefinal kdexdeltas kipi libg++ libwww mad mikmod mmx mmxext mp3 mpeg musepack mysql ncurses nls nptl nsplugin nvidia ogg oggvorbis opengl pam pdflib perl pic png python qt quicktime readline real samba sdl spell ssl svg tcpd tiff truetype truetype-fonts type1-fonts unicode usb vorbis win32codecs xine xml2 xv xvid xvmc zlib elibc_glibc input_devices_mouse input_devices_keyboard input_devices_evdev kernel_linux linguas_de userland_GNU video_cards_nvidia"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, PORTDIR_OVERLAY
Comment 1 Steve Dibb (RETIRED) gentoo-dev 2006-06-22 08:36:07 UTC
Jan, is it still an issue with newer versions of mplayer?

If so, post output of `midentify foo.avi` that is giving you problems, as well as `emerge -pv mplayer`
Comment 2 Jan Essert 2006-06-23 06:47:58 UTC
sorry, i completely forgot about this bug. Some update fixed the issue. Resolving this bug - should have done this earlier.